Create Invoice
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
invoiceCode: '<string>',
currency: '<string>',
preTaxAmount: 1,
taxAmount: 1,
totalAmount: 1,
inclusiveOfTax: true,
balance: 1,
issuedAt: '<string>',
dueAt: '<string>',
paidAt: '<string>',
lineItems: [
{
id: '<string>',
model: '<string>',
fields: null,
rawResource: null,
remote: {id: '<string>'},
createdAt: '<string>',
updatedAt: '<string>'
}
],
note: '<string>'
})
};
fetch('https://api.runmorph.dev/v1/resources/accountingInvoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.runmorph.dev/v1/resources/accountingInvoice \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--header 'x-connector-id: <api-key>' \
--header 'x-owner-id: <api-key>' \
--header 'x-session-token: <api-key>' \
--data '
{
"invoiceCode": "<string>",
"currency": "<string>",
"preTaxAmount": 1,
"taxAmount": 1,
"totalAmount": 1,
"inclusiveOfTax": true,
"balance": 1,
"issuedAt": "<string>",
"dueAt": "<string>",
"paidAt": "<string>",
"lineItems": [
{
"id": "<string>",
"model": "<string>",
"fields": null,
"rawResource": null,
"remote": {
"id": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"note": "<string>"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/resources/accountingInvoice"
payload := strings.NewReader("{\n \"invoiceCode\": \"<string>\",\n \"currency\": \"<string>\",\n \"preTaxAmount\": 1,\n \"taxAmount\": 1,\n \"totalAmount\": 1,\n \"inclusiveOfTax\": true,\n \"balance\": 1,\n \"issuedAt\": \"<string>\",\n \"dueAt\": \"<string>\",\n \"paidAt\": \"<string>\",\n \"lineItems\": [\n {\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"fields\": null,\n \"rawResource\": null,\n \"remote\": {\n \"id\": \"<string>\"\n },\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\"\n }\n ],\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("x-connector-id", "<api-key>")
req.Header.Add("x-owner-id", "<api-key>")
req.Header.Add("x-session-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/resources/accountingInvoice",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invoiceCode' => '<string>',
'currency' => '<string>',
'preTaxAmount' => 1,
'taxAmount' => 1,
'totalAmount' => 1,
'inclusiveOfTax' => true,
'balance' => 1,
'issuedAt' => '<string>',
'dueAt' => '<string>',
'paidAt' => '<string>',
'lineItems' => [
[
'id' => '<string>',
'model' => '<string>',
'fields' => null,
'rawResource' => null,
'remote' => [
'id' => '<string>'
],
'createdAt' => '<string>',
'updatedAt' => '<string>'
]
],
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-api-secret: <api-key>",
"x-connector-id: <api-key>",
"x-owner-id: <api-key>",
"x-session-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/resources/accountingInvoice"
payload = {
"invoiceCode": "<string>",
"currency": "<string>",
"preTaxAmount": 1,
"taxAmount": 1,
"totalAmount": 1,
"inclusiveOfTax": True,
"balance": 1,
"issuedAt": "<string>",
"dueAt": "<string>",
"paidAt": "<string>",
"lineItems": [
{
"id": "<string>",
"model": "<string>",
"fields": None,
"rawResource": None,
"remote": { "id": "<string>" },
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"x-connector-id": "<api-key>",
"x-owner-id": "<api-key>",
"x-session-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.runmorph.dev/v1/resources/accountingInvoice")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("x-connector-id", "<api-key>")
.header("x-owner-id", "<api-key>")
.header("x-session-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"invoiceCode\": \"<string>\",\n \"currency\": \"<string>\",\n \"preTaxAmount\": 1,\n \"taxAmount\": 1,\n \"totalAmount\": 1,\n \"inclusiveOfTax\": true,\n \"balance\": 1,\n \"issuedAt\": \"<string>\",\n \"dueAt\": \"<string>\",\n \"paidAt\": \"<string>\",\n \"lineItems\": [\n {\n \"id\": \"<string>\",\n \"model\": \"<string>\",\n \"fields\": null,\n \"rawResource\": null,\n \"remote\": {\n \"id\": \"<string>\"\n },\n \"createdAt\": \"<string>\",\n \"updatedAt\": \"<string>\"\n }\n ],\n \"note\": \"<string>\"\n}")
.asString();{
"object": "resource",
"model": "<string>",
"id": "<string>",
"remote": {
"id": "<string>"
}
}{
"message": ""
}Create Invoice
POST
/
v1
/
resources
/
accountingInvoice
Create Invoice
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'x-connector-id': '<api-key>',
'x-owner-id': '<api-key>',
'x-session-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
invoiceCode: '<string>',
currency: '<string>',
preTaxAmount: 1,
taxAmount: 1,
totalAmount: 1,
inclusiveOfTax: true,
balance: 1,
issuedAt: '<string>',
dueAt: '<string>',
paidAt: '<string>',
lineItems: [
{
id: '<string>',
model: '<string>',
fields: null,
rawResource: null,
remote: {id: '<string>'},
createdAt: '<string>',
updatedAt: '<string>'
}
],
note: '<string>'
})
};
fetch('https://api.runmorph.dev/v1/resources/accountingInvoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Query Parameters
Body
application/jsonapplication/jwttext/plain
Unique invoice identifier (human-readable)
Required string length:
1 - 250Invoice state
Available options:
draft, paid, void, overdue, pending ISO currency code (e.g., USD)
Required string length:
3Amount before taxes
Required range:
x >= 0Total tax applied
Required range:
x >= 0Final total (with tax)
Required range:
x >= 0Whether prices are tax-inclusive
Outstanding balance
Required range:
x >= 0The customer's contact associated with the invoice
Show child attributes
Show child attributes
The customer's company associated with the invoice
Show child attributes
Show child attributes
Date when the invoice was issued
Payment due date
Date the invoice was paid (if applicable)
The line items associated with the invoice
Show child attributes
Show child attributes
Internal or external memo / comments
⌘I